package com.huatek.busi.service;


import com.huatek.busi.entity.EquipmentSensorCache;
import com.huatek.busi.entity.EquipmentSumNumber;
import com.huatek.busi.entity.EquipmentSumSensorCache;
import com.huatek.busi.entity.GeneratorStatus;
import com.huatek.busi.vo.EquipmentOnlineRateVo;
import org.apache.ibatis.annotations.Param;

import java.text.ParseException;
import java.util.List;


public interface GeneratorNumberService {

    /**
     * 发电机故障,在线,总数查询
     *
     */
    EquipmentSumNumber findSumGeneratorNumber()  throws Exception;;

    /**
     *从缓存表查询总发电机的在线率
     */
    EquipmentSumSensorCache findSumGeneratorSensorNumber();

    EquipmentSumSensorCache findSumOtherSensorNumber();

    List<GeneratorStatus> findGeneratorStatus();

    int findOtherEquNumber();

    List<EquipmentSensorCache> findGeneratorSensorNumber(String mainEquipmentId);

    /**
     * 查询发电机在线率并加入cache表
     * @return
     * @throws ParseException
     */
    int findGeneratorNumber() throws ParseException;

}
